未寒博客

当前位置:   网站首页 >> 玩一会技术 >> 玩一会电脑

PHPManagerForIIS 在Windows10(IIS10)安装问题

PHPManagerForIIS 是微软推出的在IIS平台下管理PHP扩展的工具,使用它可以方便在IIS中添加PHP扩展支持,并且支持多版本PHP共存,主要特点是:

  • 快速在IIS中注册PHP;

  • 验证并正确配置现有的PHP安装;

  • 在同一服务器中运行多个版本的PHP,不同站点运行不同版本PHP;

  • 快速查看phpinfo;

  • 图形化配置PHP设置;

  • 图形化开启、禁用PHP扩展;

PHPManagerForIIS 下载地址:https://phpmanager.codeplex.com/


但是在Windows 10 中,也就是IIS10下,安装PHPManagerForIIS 会提示错误,错误内容为:

PHP Manager for IIS requires IIS7 or higher to be installed. Do you want to learn more on how to obtain and install IIS 7?

blob.png


简单的说即说此扩展必须安装在IIS7以上,可我们明明是IIS10啊,神马情况?

通过查找原因发现原来IIS10在注册表中的版本号是十六进制的“a”,但是软件不认,所以提示错误,所以在安装前将此值改为9以下即可。

注册表位置:[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\W3SVC\Parameters\MajorVersion],将此值改为9后安装PHPManagerForIIS,安装后再更改回来即可。

blob.png

网友评论1

  1. 很文博客2017-07-13 10:13:35 回复

    这博客很多原创,人气很高

发表我的评论

Hi,您需要填写昵称和邮箱!

  • 必填项